Ashby Real Time Events
List of Events Supported by Ashby
| Knit Event ID | Support | Ashby Webhook Event(s) |
|---|---|---|
ats_applications_new | Yes | applicationSubmit |
ats_applications_modified | Yes | applicationUpdate, candidateHire, candidateStageChange, interviewScheduleCreate, interviewScheduleUpdate, offerCreate, offerUpdate, offerDelete |
ats_applications_deleted | No | – |
ats_jobs_new | Yes | jobCreate |
ats_jobs_modified | Yes | jobUpdate |
ats_jobs_deleted | No | – |
Subscribe to Ashby Real Time Events
Step 1: Subscribe to events
To subscribe to real time events in Ashby, use the Subscribe to Real Time Events API. A sample cURL request:
curl --location 'https://api.getknit.dev/v1.0/events.subscribe' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--data '{
"events": [
"ats_applications_new",
"ats_applications_modified",
"ats_jobs_new",
"ats_jobs_modified"
]
}'
⚠️ Important: Avoid Duplicate Subscriptions
When subscribing to new events, do not include events you have already subscribed to.Example:
You initially subscribed to application events:{ "events": [ "ats_applications_new", "ats_applications_modified" ] }Now you want to add job-related events. Do not send:
{ "events": [ "ats_applications_new", "ats_applications_modified", "ats_jobs_new", "ats_jobs_modified" ] }Instead, send only the new events you wish to subscribe to:
{ "events": [ "ats_jobs_new", "ats_jobs_modified" ] }
The response for this would look like the following:
{
"success": true,
"data": {}
}
✅ That’s it — you’re good to go!
Updated 14 days ago
